"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@heroku-cli/command");
const cli_ux_1 = require("cli-ux");
const base_1 = require("../../../base");
const fetcher_1 = require("../../../lib/fetcher");
class EndpointsDestroy extends base_1.default {
    async run() {
        const { args, flags } = this.parse(EndpointsDestroy);
        const database = await fetcher_1.default(this.heroku, args.database, flags.app);
        cli_ux_1.cli.action.start('Destroying privatelink endpoint');
        await this.shogun.delete(`/private-link/v0/databases/${database}`, this.shogun.defaults);
        cli_ux_1.cli.action.stop();
    }
}
EndpointsDestroy.description = 'destroy a privatelink endpoint for your database';
EndpointsDestroy.aliases = ['pg:privatelink:destroy', 'kafka:privatelink:destroy', 'redis:privatelink:destroy'];
EndpointsDestroy.args = [
    { name: 'database' }
];
EndpointsDestroy.flags = {
    app: command_1.flags.app({ required: true })
};
EndpointsDestroy.examples = [
    '$ heroku data:privatelink:destroy postgresql-sushi-12345',
];
exports.default = EndpointsDestroy;
