"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cli_ux_1 = require("cli-ux");
async function default_1(heroku, addon_attachment, app) {
    const db = addon_attachment;
    const { body: res } = await heroku.post('/actions/addons/resolve', {
        body: {
            app,
            addon: db
        }
    });
    if (res.id === 'not_found') {
        cli_ux_1.cli.error(res.message);
    }
    const filteredAddon = res.find((addon) => {
        if (addon.addon_service) {
            return addon.addon_service.name && addon.addon_service.name.startsWith('heroku-');
        }
    });
    if (filteredAddon) {
        return filteredAddon.name;
    }
    else {
        cli_ux_1.cli.error('No addons found');
    }
}
exports.default = default_1;
